# Interface NonPipeliningProcessor

All Superinterfaces:
  `Processor`

public interface NonPipeliningProcessor extends Processor
Marker interface used to indicate that the `Processor` does not implement pipe-lining of requests (e.g. HTTP/1.1 supports pipe-lining whereas HTTP/2 does not) which may enable some components to clear references sooner to aid GC.

- ## Method Summary

  ### Methods inherited from interface Processor

  `checkAsyncTimeoutGeneration, getLeftoverInput, getRequest, getUpgradeToken, isAsync, isUpgrade, pause, process, recycle, setSslSupport, timeoutAsync`